Package com.emc.d2fs.models.markupresponsetype

# Class MarkupResponseType

java.lang.Object
com.emc.d2fs.models.markupresponsetype.MarkupResponseType

All Implemented Interfaces:
  `Serializable`

public class MarkupResponseType extends Object implements Serializable

Java class for MarkupResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MarkupResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Markup" type="{http://www.emc.com/d2fs/models/Markup}Markup"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MarkupResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Markup`
  `getMarkup()`
  Gets the value of the markup property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `String`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setMarkup(Markup value)`
  Sets the value of the markup property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MarkupResponseType

    public MarkupResponseType()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMarkup

    public Markup getMarkup()
    Gets the value of the markup property.
    Returns:
      possible object is `Markup`

  - ### setMarkup

    public void setMarkup(Markup value)
    Sets the value of the markup property.
    Parameters:
      `value` - allowed object is `Markup`